<div class="container">
  <h1>Sign in</h1>

  <form [formGroup]="form" (ngSubmit)="submit()">

    <div class="form-group">
      <label>Mail :</label>
      <input type="email"
             class="form-control" [ngClass]="{ 'is-invalid': submitted && f.mail.errors, 'is-valid': !f.mail.errors }"
             formControlName="mail">

      <div *ngIf="submitted && f.mail.errors" class="invalid-feedback">
        <div *ngIf="f.mail.errors.required">Email is required</div>
        <div *ngIf="f.mail.errors.email">Email must be a valid email address</div>
      </div>
    </div>

    <div class="form-group">
      <label>Password :</label>
      <input type="password"
             class="form-control" [ngClass]="{ 'is-invalid': submitted && f.pwd.errors, 'is-valid': !f.pwd.errors }"
             formControlName="pwd">

      <div *ngIf="submitted && f.pwd.errors" class="invalid-feedback">
        <div *ngIf="f.pwd.errors.required">Password is required</div>
      </div>
    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
